AsymmetricAlgorithm Class Referenceabstract

Interface for asymmetric algorithms. More...

Inheritance diagram for AsymmetricAlgorithm:

## Public Member Functions

virtual CryptoMaterial & | AccessMaterial ()=0
| Retrieves a reference to CryptoMaterial. More...
virtual const CryptoMaterial & | GetMaterial () const =0
| Retrieves a reference to CryptoMaterial. More...
void | BERDecode (BufferedTransformation &bt)
| Loads this object from a BufferedTransformation. More...
void | DEREncode (BufferedTransformation &bt) const
| Saves this object to a BufferedTransformation. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Interface for asymmetric algorithms.

Definition at line 2201 of file cryptlib.h.

## Member Function Documentation

## AccessMaterial()

virtual CryptoMaterial& AsymmetricAlgorithm::AccessMaterial | ( |  | ) |

pure virtual

Retrieves a reference to CryptoMaterial.

Returns
  a reference to the crypto material

Implemented in KeyAgreementAlgorithm, PrivateKeyAlgorithm, and PublicKeyAlgorithm.

## GetMaterial()

virtual const CryptoMaterial& AsymmetricAlgorithm::GetMaterial | ( |  | ) | const

pure virtual

Retrieves a reference to CryptoMaterial.

Returns
  a const reference to the crypto material

Implemented in KeyAgreementAlgorithm, PrivateKeyAlgorithm, and PublicKeyAlgorithm.

## BERDecode()

void AsymmetricAlgorithm::BERDecode | ( | BufferedTransformation & | bt | ) |

inline

Loads this object from a BufferedTransformation.

Parameters

  bt | a BufferedTransformation object

Deprecated:
  for backwards compatibility, calls `AccessMaterial().Load(bt)`

Definition at line 2219 of file cryptlib.h.

## DEREncode()

void AsymmetricAlgorithm::DEREncode | ( | BufferedTransformation & | bt | ) | const

inline

Saves this object to a BufferedTransformation.

Parameters

  bt | a BufferedTransformation object

Deprecated:
  for backwards compatibility, calls GetMaterial().Save(bt)

Definition at line 2225 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h